com.fasterxml.jackson.dataformat.avro.deser

## Class RootReader

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext
    - - com.fasterxml.jackson.dataformat.avro.deser.RootReader

-     public class RootReader
      extends AvroReadContext

  Context used at root level; basically just a container over actual `AvroStructureReader`.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_currentValue, _parent, _typeId`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootReader(AvroParserImpl parser, AvroStructureReader valueReader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendDesc(StringBuilder sb)`
    `com.fasterxml.jackson.core.JsonToken` | `getCurrentToken()`
    `String` | `getTypeId()`
    `String` | `nextFieldName()`
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`
    `void` | `skipValue(AvroParserImpl parser)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_reportError, getCurrentName, getCurrentValue, getParent, getRemainingElements, setCurrentValue, toString`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RootReader

          public RootReader(AvroParserImpl parser,
                            AvroStructureReader valueReader)

  - ### Method Detail

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()
                                                         throws IOException

      Specified by:
        `nextToken` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### skipValue

          public void skipValue(AvroParserImpl parser)
                         throws IOException

      Specified by:
        `skipValue` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### getCurrentToken

          public com.fasterxml.jackson.core.JsonToken getCurrentToken()

      Specified by:
        `getCurrentToken` in class `AvroReadContext`

    - #### appendDesc

          public void appendDesc(StringBuilder sb)

      Specified by:
        `appendDesc` in class `AvroReadContext`

    - #### nextFieldName

          public String nextFieldName()
                               throws IOException

      Specified by:
        `nextFieldName` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### getTypeId

          public String getTypeId()

      Overrides:
        `getTypeId` in class `AvroReadContext`

Copyright © 2019 FasterXML. All rights reserved.